KDE 4.7 PyKDE API Reference

- KDE's Python API

# EntityOrderProxyModel Class Reference

`from PyKDE4.akonadi import *`

Inherits: QSortFilterProxyModel → QAbstractProxyModel → QAbstractItemModel → QObject
Namespace: Akonadi

## Detailed Description

A model that keeps the order of entities persistent.

This proxy maintains the order of entities in a tree. The user can re-order items and the new order will be persisted restored on reset or restart.

Author:
  Stephen Kelly <stephen@kdab.com>

Since:
  4.6

## Methods
| __init__ (self, QObject parent=0)
| clearOrder (self, QModelIndex index)
| clearTreeOrder (self)
QString | configString (self, QModelIndex index)
bool | dropMimeData (self, QMimeData data, Qt::DropAction action, int row, int column, QModelIndex parent)
bool | lessThan (self, QModelIndex left, QModelIndex right)
[QModelIndex] | match (self, QModelIndex start, int role, QVariant value, int hits=1, Qt::MatchFlags flags=Qt.MatchFlags(Qt.MatchStartsWith|Qt.MatchWrap))
QString | parentConfigString (self, QModelIndex index)
| saveOrder (self)
| setOrderConfig (self, KConfigGroup group)

## Method Documentation

__init__ | ( | self, |
|  | QObject | parent=0
| ) |  |  |

Creates a new entity order proxy model.

Parameters:

  | parent | The parent object.

clearOrder | ( | self, |
|  | QModelIndex | index
| ) |  |  |

clearTreeOrder | ( |  | self ) |

QString configString | ( | self, |
|  | QModelIndex | index
| ) |  |  |

bool dropMimeData | ( | self, |
|  | QMimeData | data,
|  | Qt::DropAction | action,
|  | int | row,
|  | int | column,
|  | QModelIndex | parent
| ) |  |  |

@reimplemented

bool lessThan | ( | self, |
|  | QModelIndex | left,
|  | QModelIndex | right
| ) |  |  |

@reimplemented

[QModelIndex] match | ( | self, |
|  | QModelIndex | start,
|  | int | role,
|  | QVariant | value,
|  | int | hits=1,
|  | Qt::MatchFlags | flags=Qt.MatchFlags(Qt.MatchStartsWith|Qt.MatchWrap)
| ) |  |  |

@reimplemented

QString parentConfigString | ( | self, |
|  | QModelIndex | index
| ) |  |  |

saveOrder | ( |  | self ) |

Saves the order.

setOrderConfig | ( | self, |
|  | KConfigGroup | group
| ) |  |  |

Sets the config group that will be used for storing the order.